# CHANGELOG

# 1.2 - 2013-12-12

- google analytics code snippet:
  - move it up to head tag (just before closing tag), that it matches Google Analytics set up guidelines
  - render it only on produciton environment
- Various bugfixes/tweaks for cms generator
- optimize favicon integration for ie10
- tested on ie8, ie9, ie10

## 1.1.1 - 2013-10-07

- Inject Kuhsaft Helper into ApplicationController so it is available in the host app

## 1.1.0 - 2013-10-07

- add nicer method of defining attributes that are shown in index/edit views

## 1.0.2 - 2013-10-02

- Fix Kuhaft `content_for :head` block integration and document how to use it
- Upgrade to Kuhsaft 2.2.0 and **update the head of your application layout** accordingly!

## 1.0.1 - 2013-09-26

* foundation integration tweaks:
  - change the emCalc mixin to the new from Foundation 4.3.2
  - add sass imports to ie.css.sass

## 1.0.0 - 2013-09-26

- Cleaned up cms generator

## 1.0.0.pre3 - 2013-09-18

- Implemented CMS Generator

- Minor improvements on generating application layout
  - make typekit key configurable

- Add minor tweaks to generated Gemfile
  - remove hardcoded kuhsaft in template
  - specify current shoestrap version
  - add js runtime
  - fix conditional tags for IE (thx to @kuschti)

## 1.0.0.pre1 - 2013-07-17

Started from scratch for a clean, test driven implementation.
A few notable changes:

- the application generator is now implemented as a standard
  rails application template instead of hooking into Rails.

- Everything deployment related has been extracted into
  another gem.

- For now, only app generation works, the CMS Scaffolding generators
  still have to be ported/implemented.

## 0.4.1 - 2013-06-03

* fix sync task (assets were copied to the wrong directory)

## 0.4.0 - 2013-05-28

* add tasks for syncing down db and assets from production
* fix translation file generation
* add experimental deployment task for old radiant apps

## 0.3.0 - 2013-05-01

* set timezone to 'Bern' by default
* create db before migrating (doh!)
* rakefiles for deployment stay in kushsaft and can be required in the application
* add middleman deployment task

## 0.2.5 - 2013-03-23

- update airbrake config for api token

## 0.2.4 - 2013-03-18

- Add host to development DB config

## 0.2.3 - 2013-03-13

- Improve deployment generator: Do not rely on the name of current directory to guess app name

## 0.2.2 - 2013-03-13

- Fix deployment notifications on target with multiple branches

## 0.2.1 - 2013-03-11

- Add exception notifier config

## 0.2.0 - 2013-03-09

- Preparations for new servers/workflow:
  A new generator has been added which is called on app generation.
  It adds:
    - unicorn config
    - database config
    - deployment task

  The generator can be called on exisiting apps as well in order to migrate
  to the new server setup:

  `rails generate shoestrap:deployment`

## 0.1.1 - 2013-02-14

* Fix: Don't use deleted kuhsaft branch
* Remove maintainer/lead dev info from readme: this information moved to
  our internal wiki

## 0.1.0 - 2013-02-06

* replace logout link with placeholder, as kuhsaft does not ship with
  devise anymore
* copy shoestrap.yml into config/locales/de/views/cms
* add navigation translation into shoestrap.yml with translation key 'cms.navigation.items'
* inject translationkey into cms_navigation.rb
* use human_attribute_name as label in 'show' template
* remove title (h1) on 'show' template
* use '[index_path_name].new' as translation key for new button on 'index' template

## 0.0.4

* fix update/create actions in generated controller

## 0.0.3

* add simple_form locale (only :de)
* use simple-navigation for cms navbar

## 0.0.2

* add cms generator and integrate with kuhsaft
* Add lib/ to autoload path
* fix MailInterceptor

## v0.0.1 - 2013-01-14
First Release
